Name: SDL
Version: 1.2.6
Release: alt2
%define lib_name lib%name

Summary: Simple DirectMedia Layer
License: LGPL
Group: System/Libraries
Url: http://www.libsdl.org

Source0: %name-%version.tar.gz
Patch0: SDL-1.2.4-fixrpath.patch.bz2

# Automatically added by buildreq on Wed Oct 09 2002
BuildRequires: XFree86-devel esound-devel gcc-c++ glibc-devel-static libalsa-devel libarts-devel libaudiofile-devel libdnet-devel libstdc++-devel nasm pkgconfig

%package -n %lib_name
Summary: Simple DirectMedia Layer
Group: System/Libraries
Provides: %lib_name = %version-%release
Obsoletes: %lib_name

%package -n %lib_name-devel
Summary: Development environment for Simple DirectMedia Layer
Summary(ru_RU.KOI8-R):    Simple DirectMedia Layer
Group: Development/C
Requires: %lib_name = %version-%release
Provides: %lib_name-devel = %version-%release
Obsoletes: %lib_name-devel

%package -n %lib_name-devel-static
Summary: Static libraries for Simple DirectMedia Layer
Summary(ru_RU.KOI8-R):    Simple DirectMedia Layer
Group: Development/C
Requires: %lib_name-devel = %version-%release
Obsoletes: %lib_name-devel-static

%description
This is the Simple DirectMedia Layer, a generic API that provides low level
access to audio, keyboard, mouse, and display framebuffer across multiple
platforms.

%description -l ru_RU.KOI8-R
Simple DirectMedia Layer -   ,  
  , ,        
 .

%description -n %lib_name
This is the Simple DirectMedia Layer, a generic API that provides low level
access to audio, keyboard, mouse, and display framebuffer across multiple
platforms.

This package provides shared libraries required to run %name-based applications.

%description -l ru_RU.KOI8-R -n %lib_name
Simple DirectMedia Layer -   ,  
  , ,        
 .

    ,   
  SDL .

%description -n %lib_name-devel
This is the Simple DirectMedia Layer, a generic API that provides low
level access to audio, keyboard, mouse, and display framebuffer across
multiple platforms.

This is the libraries, include files and other resources you can use
to develop %name applications.

%description -l ru_RU.KOI8-R -n %lib_name-devel
Simple DirectMedia Layer -   ,  
  , ,        
 .

    ,    
  SDL.

%description -n %lib_name-devel-static
This is the Simple DirectMedia Layer, a generic API that provides low
level access to audio, keyboard, mouse, and display framebuffer across
multiple platforms.

You should install the %lib_name-devel-static package if you would like to
develop statically linked SDL applications.

%description -n %lib_name-devel-static -l ru_RU.KOI8-R
Simple DirectMedia Layer -   ,  
  , ,        
 .

    ,     
  SDL .

%prep
%setup -q
%patch0 -p1

%add_optflags %optflags_shared
%set_verify_elf_method textrel=relaxed

%build
%undefine __libtoolize
%configure --disable-video-aalib \
	   --enable-video-opengl \
	   --disable-video-svga \
	   --disable-video-directfb \
	   --disable-video-ggi
%make_build

%install
%makeinstall

%set_strip_method executable shared

%post -n %lib_name -p /sbin/ldconfig
%postun -n %lib_name -p /sbin/ldconfig

%files -n %lib_name
%_libdir/*.so.*

%files -n %lib_name-devel
%_bindir/*
%_libdir/*.so
%_includedir/*
%_datadir/aclocal/*
%_mandir/man?/*
%doc BUGS CREDITS README README-%name.txt TODO WhatsNew docs.html docs/*html*

%files -n %lib_name-devel-static
%_libdir/*.a

%changelog
* Mon Dec 01 2003 Rider <rider@altlinux.ru> 1.2.6-alt2
- rebuild without .la files 

* Mon Sep 01 2003 Rider <rider@altlinux.ru> 1.2.6-alt1
- new version

* Fri Aug 22 2003 Rider <rider@altlinux.ru> 1.2.5-alt2
- disable directfb and aa video support (#2668, #2670)

* Wed Oct 09 2002 Rider <rider@altlinux.ru> 1.2.5-alt1
- 1.2.5

* Mon Sep 23 2002 Rider <rider@altlinux.ru> 1.2.4-alt2
- rebuild with new gcc

* Sat Apr 27 2002 Rider <rider@altlinux.ru> 1.2.4-alt1
- alsa9 patch from MDK
- new version

* Fri Feb 22 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.2.3-alt2
- Fixed buildrequires.

* Sun Dec 09 2001 Rider <rider@altlinux.ru> 1.2.3-alt1
- 1.2.3

* Fri Jul 27 2001 Rider <rider@altlinux.ru> 1.2.2-alt1
- 1.2.2

* Thu Apr  5 2001 Kostya Timoshenko <kt@altlinux.ru> 1.2.0-alt1
- version 1.2.0
- removed old 1.0.8
- adapted rpath patch.
- Moved static libraries to devel-static subpackage.

* Wed Feb 14 2001 Kostya Timoshenko <kt@petr.kz> 1.1.8-ipl1mdk
- 1.1.8

* Tue Feb 06 2001 Dmitry V. Levin <ldv@fandra.org> 1.1.7-ipl2mdk
- Build with --enable-video-aalib.
- Explicitly set strip methods.
- Libification.

* Tue Jan  9 2001 Kostya Timoshenko <kt@petr.kz>
- 1.1.7

* Tue Dec 26 2000 Kostya Timoshenko <kt@petr.kz>
- Rebuild for RE

* Wed Nov 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.6-2mdk
- follow new lib policy, split packages with current and old versions

* Tue Oct 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.6-1mdk
- 1.1.6
- include man pages
- include html help

* Thu Oct 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.4-8mdk
- rebuild to fix sdl-config to not provide some rpath

* Fri Sep 29 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.4-7mdk
- rebuild with latest XFree 4.0.1 from FredL.

* Fri Sep 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.4-6mdk
- rebuild against fixed XFree4 by fredl

* Tue Aug 29 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.4-5mdk
- rebuild without %%configure.

* Mon Aug 28 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.4-4mdk
- fixed a typo in changelog.

* Mon Aug 28 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.4-3mdk
- use of configure and other macros.

* Sat Aug 25 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.4-2mdk
- removed Mesa-devel from BuildRequires and other entries listed twice.
- updated URL.

* Fri Aug 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.4-1mdk
- 1.1.4 (which fixes a bug in KDE according to the README for xmms-smpeg).

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.3-4mdk
- automatically added BuildRequires.

* Thu Jun 28 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.3-3mdk
- added old 1.0.X version for backward compatibility.

* Sat Jun 24 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.3-2mdk
- added some Requires.

* Thu Jun 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.3-1mdk
- v1.1.3.

* Thu May 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.8-4mdk
- don't use nasm on non Intel archs.

* Tue Apr 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.8-3mdk
- fixed the few problems

* Fri Apr 07 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
- changed group.

* Sat Mar 18 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
- updated to version 1.0.8.

* Tue Feb 09 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
- updated to version 1.0.4.

* Sat Feb 05 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated for version 1.0.3.
- added BuildPreReq.

* Wed Jan 19 2000 Sam Lantinga <slouken@devolution.com>
- Re-integrated spec file into SDL distribution
- 'name' and 'version' come from configure
- Some of the documentation is devel specific
- Removed SMP support from %build - it doesn't work with libtool anyway

* Tue Jan 18 2000 Hakan Tandogan <hakan@iconsult.com>
- Hacked Mandrake sdl spec to build 1.1

* Sun Dec 19 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Sat Dec 18 1999 John Buswell <johnb@mandrakesoft.com>
- Add symlink for libSDL-1.0.so.0 required by sdlbomber
- Added docs

* Thu Dec 09 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v 1.0.0

* Mon Nov  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First spec file for Mandrake distribution.
